#!/usr/bin/perl -w
# convert sanl files to lat-lon grib2 files on hybrid levels
#
# ss2ll sigma gribfile idim jdim
#

#$template="/u/Wesley.Ebisuzaki/bin_data/global_template.g2";
$template="/export/cpc-lw-webisuzak/wd51we/bin_data/global_template.g2";

if ($#ARGV != 3) {
   print "ss2ll.pl sigma gribfile imax jmax\n";
   exit(1);
}

$sanl=$ARGV[0];
$out=$ARGV[1];
$tmplate="$out.template";
$idim=$ARGV[2];
$dx=360/($idim);
$jdim=$ARGV[3];
$dy=-180/($jdim-1);

print "$idim $dx\n";
print "$jdim $dy\n";

# make grib2 template
`wgrib2 $template -set_center 7 -set_grib_type c1 -new_grid_winds earth -new_grid latlon "0:$idim:$dx" "90:$jdim:$dy" $tmplate`;

print "ss2grb $sanl gggfile ctlfile 0 $idim $jdim $tmplate $out\n";
`~/nwprod/sorc/ss2gg.fd/ss2grb $sanl gggfile ctlfile 0 $idim $jdim $tmplate $out`;
